Bug 125171 - CAN-2004-0535 e1000 kernel memory leak (ia64)
Summary: CAN-2004-0535 e1000 kernel memory leak (ia64)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-03 12:41 UTC by Mark J. Cox
Modified: 2013-07-03 02:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 14:41:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:327 normal SHIPPED_LIVE Important: kernel security update 2004-08-18 04:00:00 UTC

Description Mark J. Cox 2004-06-03 12:41:16 UTC
According to
http://www.kernel.org/pub/linux/kernel/v2.4/testing/patch-2.4.27.log a
recent kernel fix was applied "e1000: fix probable security hole".

This issue in fact is a minor information leak via the e1000 driver
that can reveal 24 bytes of kernel memory to users (if e1000 driver is
loaded)

No CVE name yet available
See Bug #125168 for a patch (will need to be backported)

Comment 1 Mark J. Cox 2004-06-04 08:01:25 UTC
CAN-2004-0535

Comment 2 John Flanagan 2004-08-18 14:41:49 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-327.html



Note You need to log in before you can comment on or make changes to this bug.